package routes

import (
	"embed"
	"net/http"

	"sunshine.industries/some-automoderation/rooms"
	"sunshine.industries/some-automoderation/sessions"
)

//go:embed templates
var templateFs embed.FS

//go:embed static
var staticFilesFs embed.FS

func RegisterRoutes(sessionsM sessions.SessionManagement, rooms rooms.RoomManager) {
	// login page
	registerLoginRoutes(&templateFs, sessionsM, rooms)

	// main page template
	http.Handle("/", authedPageMiddleware(
		sessionsM,
		indexPageRoute(&templateFs, sessionsM, rooms)))

	// main conversation room page
	registerPageRoutes(&templateFs, sessionsM, rooms)

	// static resources route
	http.Handle("/static/",
		http.FileServer(http.FS(staticFilesFs)))

}
